Issue 1358 Bug in mail formatting

Title Bug in mail formatting
Priority bug Status resolved
Milestone Resolved in
Superseder Nosy List darcs-devel, dmitry.kurochkin, kowey, marcot, thorkilnaur, tux_rocker
Assigned To tux_rocker

Created on 2009-02-13.18:39:49 by marcot, last changed 2009-08-27.14:16:08 by admin.

File name Uploaded Type Edit Remove
unnamed simon, 2009-02-13.18:47:55 text/html
msg7308 (view) Author: marcot Date: 2009-02-13.18:39:46
Log of #darcs:

(16:11:28) marcot: Good afternoon.
(16:12:06) marcot: I've sent a patch to kaol@debian.org with darcs send
but the message was rejected by debian.org:
(16:12:14) marcot: <kaol@debian.org>: host
master.debian.org[] said: 550 improper use
(16:12:14) marcot: of 8-bit data in message header: message rejected (in
reply to end of DATA
(16:12:14) marcot: command)
(16:12:31) marcot: Is this a problem in the message generated by darcs?
(16:21:05) gour: hanging of 'darcs foo help' is disturbing...
(16:21:33) sm: marcot: is there non-ascii in your patch name or
description or your from address ?
(16:21:49) marcot: sm: there's in my name.
(16:21:52) marcot: Marco Túlio
(16:22:13) sm: I wonder if darcs send misencodes that. You could darcs
send --to=myself and inspect the message
(16:22:55) sm: maybe it's not rfc 2047-compliant
(16:23:49) marcot: sm: I don't have knowledge about this... should I
report a bug?
(16:24:25) codeFiend [n=anton@204-15-3-162-static.ipnetworksinc.net]
entrou na sala.
(16:24:48) C-Keen: marcot: please. and please also include the message
itself as it went out your system
(16:24:49) sm: yes if you like.. it will help if you can try the
experiment and show what darcs puts in the from header
(16:25:08) marcot: C-Keen: is there a easy way to just print the
(16:25:23) marcot: -o
(16:25:24) marcot: ok.
(16:25:42) sm: darcs send --to=simon@joyful.com if you like, I'll look
(16:26:02) marcot: sm: ok.
(16:26:19) marcot: gour: +1
(16:26:22) C-Keen: marcot: what simon said. darcs -o won't store the
mail as the mailserver would se it
(16:26:36) marcot: hum...
(16:27:09) marcot: sm: sent to you.
(16:32:12) sm: yes I think that is indeed a bug.. From: Marco Túlio
Gontijo e Silva
(16:32:33) sm: apple mail handles it, but I think it's supposed to be
(16:32:41) sm: and debian is picky. of course :)
(16:37:16) sm: it should be: From: Marco =?utf-8?Q?T=C3=BAlio?= Gontijo
e Silva , using rfc 2047
(16:37:33) sm: marcot: if you would, please report this eg by sending
mail to bugs@darcs.net
(16:38:33) marcot: sm: ok, I'll send the log of this conversation.

msg7309 (view) Author: simon Date: 2009-02-13.18:47:55
Workaround: force proper encoding like so: darcs send --from="Marco =? 
utf-8?Q?T=C3=BAlio?= Gontijo e Silva <emailaddr>". Better, save your  
encoded name and address in ~/.darcs/author or the equivalent for your  
platform. To find out the proper encoding, send yourself a mail with a  
real email client and inspect the raw message.
msg7310 (view) Author: simon Date: 2009-02-13.19:23:49
My workaround was bad, here's the correct one. Add a line like this to  

send from Marco =?utf-8?Q?T=C3=BAlio?= Gontijo e Silva <email@address>
msg7475 (view) Author: tux_rocker Date: 2009-03-17.09:32:51
The following patch updated the status of issue1358 to be resolved:

* resolve issue1358: encode non-ASCII characters in mail headers 
Ignore-this: 1006f69ae92586298ab4949813b0f288
Date User Action Args
2009-02-13 18:39:49marcotcreate
2009-02-13 18:47:58simonsetfiles: + unnamed
nosy: kowey, simon, marcot, thorkilnaur, dmitry.kurochkin
status: unread -> unknown
messages: + msg7309
2009-02-13 19:23:51simonsetnosy: kowey, simon, marcot, thorkilnaur, dmitry.kurochkin
messages: + msg7310
2009-02-15 13:10:41tux_rockersetpriority: bug
nosy: kowey, simon, marcot, thorkilnaur, dmitry.kurochkin
2009-02-19 22:07:37tux_rockersetnosy: + tux_rocker
assignedto: tux_rocker
2009-03-17 09:32:54tux_rockersetstatus: unknown -> resolved
nosy: kowey, simon, marcot, thorkilnaur, tux_rocker, dmitry.kurochkin
messages: + msg7475
2009-08-25 17:40:54adminsetnosy: + darcs-devel, - simon
2009-08-27 14:16:08adminsetnosy: kowey, darcs-devel, marcot, thorkilnaur, tux_rocker, dmitry.kurochkin